/**
 * description
 *
 * @author eson
 *2022年7月11日-16:01:07
 */
package com.yuandian.dataflow.statemachine.rpc;

import java.io.Serializable;

import com.alipay.sofa.jraft.Closure;
import com.alipay.sofa.jraft.entity.PeerId;
import com.yuandian.dataflow.statemachine.state.State;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

/**
 * 同步状态时, 需要用的结构类. 新增的状态可以在 State结构里添加
 *
 * @author eson
 *2022年7月11日-16:01:07
 */
@Slf4j
@Getter
@Setter
@ToString
public class RequestState  implements Serializable {

    private static final long serialVersionUID = 1L;
 
    private State state; 
}
